Bug 463766 - Package review: perl-Wx-Perl-Dialog
Package review: perl-Wx-Perl-Dialog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 457517
  Show dependency treegraph
 
Reported: 2008-09-24 12:10 EDT by Marcela Mašláňová
Modified: 2008-09-30 03:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 03:13:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Dan Horák 2008-09-25 09:58:11 EDT
formal review is here, see the notes below:

OK	source files match upstream:
	    49d8d695510b1a92ad65f48a76107c448fcf5dc1  Wx-Perl-Dialog-0.01.tar.gz
OK	package meets naming and versioning guidelines.
OK*	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
BAD	rpmlint is silent.
BAD	final provides and requires look sane.
BAD	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
BAD	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- update the Description to be more descriptive (see Dialog.pm) :-)
- rpmlint warns about non-executable scripts at /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Wx-Perl-Dialog/*
- at least the explicit Requires: perl(Wx) is redundant
- the test requires running X to be useful (see build.log), so you should disable the %check section
- the binary package contains /usr/lib/perl5/vendor_perl/5.10.0/auto/share/dist/Wx-Perl-Dialog/*
 and at least the /usr/lib/perl5/vendor_perl/5.10.0/auto directory is owned by perl itself - should be the files packaged and what about the directory ownership
Comment 2 Marcela Mašláňová 2008-09-26 10:16:29 EDT
Descrition:
Wx::Perl::Dialog - a set of simple dialogs (a partial Zenity clone in wxPerl)

http://mmaslano.fedorapeople.org/perl-Wx-Perl-Dialog/perl-Wx-Perl-Dialog.spec
http://mmaslano.fedorapeople.org/perl-Wx-Perl-Dialog/perl-Wx-Perl-Dialog-0.01-2.fc9.src.rpm
Comment 3 Dan Horák 2008-09-27 04:39:21 EDT
Just remove the whole useless /usr/lib/perl5/vendor_perl/5.10.0/auto tree instead of removing the scripts only and I will approve the package.
Comment 5 Dan Horák 2008-09-29 07:13:41 EDT
All issues are fixed, so this package is APPROVED
Comment 6 Marcela Mašláňová 2008-09-29 07:23:17 EDT
New Package CVS Request
=======================
Package Name: perl-Wx-Perl-Dialog
Short Description: a set of simple dialogs, a partial Zenity clone in Wx
Owners: mmaslano
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Huzaifa S. Sidhpurwala 2008-09-30 00:57:57 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.